Skip to main content
POST
/
api
/
v1
/
organizations
/
{organizationID}
/
groups
Create group
curl --request POST \
  --url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "name": "The-A-Team",
    "description": "An elite commando unit."
  },
  "spec": {
    "roleIDs": [
      "64c46f16-43b1-495d-8ee3-040b8321050d"
    ],
    "userIDs": [
      "b0c0dc92-b123-410e-bad6-75a2265ca6e1"
    ],
    "serviceAccountIDs": []
  }
}
'
{
  "metadata": {
    "id": "a142f641-7fd6-4ab9-a875-344c7ebadc53",
    "name": "a-team",
    "organizationId": "d4600d6e-e965-4b44-a808-84fb2fa36702",
    "creationTime": "2024-05-31T14:11:00Z",
    "provisioningStatus": "provisioned",
    "healthStatus": "healthy"
  },
  "spec": {
    "userIDs": [
      "d4600d6e-e965-4b44-a808-84fb2fa36702"
    ],
    "serviceAccountIDs": [
      "a0e9c93a-3a47-4ea1-9caf-22757428a810"
    ],
    "roleIDs": [
      "d4600d6e-e965-4b44-a808-84fb2fa36702"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

organizationID
string
required

An organization ID.

Body

application/json

Body required to create a group.

A group when created or updated.

metadata
object
required

Metadata required for all API resource reads and writes.

spec
object
required

A group.

Response

A group in the organization.

A group when read.

metadata
object
required

Metadata required by organization scoped resource reads.

spec
object
required

A group.